Skip to main content
GET
/
private-api
/
v1
/
{workspace_id}
/
farms
/
{farm_id}
/
reboot-events
List Miner Reboot Events
curl --request GET \
  --url https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/reboot-events \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/reboot-events"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.nonce.app/private-api/v1/{workspace_id}/farms/{farm_id}/reboot-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspace_id": "<string>",
      "farm_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "miner_id": "<string>",
      "ip": "<string>",
      "model": "<string>",
      "make": "<string>",
      "serial_number": "<string>",
      "period": "<string>",
      "pre_uptime": 123,
      "post_uptime": 123,
      "pre_hashrate": 123,
      "post_hashrate": 123,
      "pre_period": "<string>",
      "post_period": "<string>",
      "pre_wattage": 123,
      "post_wattage": 123,
      "pre_temp": 123,
      "post_temp": 123,
      "pre_anomaly_flags": 0,
      "post_anomaly_flags": 0,
      "pre_mining_mode": "<string>",
      "post_mining_mode": "<string>",
      "created_at": "<string>",
      "before_avg_hashrate": 123,
      "after_avg_hashrate": 123
    }
  ],
  "pagination": {
    "total": 50,
    "limit": 10,
    "offset": 0,
    "hasNext": true,
    "hasPrevious": false
  },
  "error": null
}
{
"statusCode": 400,
"message": "Invalid request parameters",
"error": "Bad Request"
}
{
"statusCode": 401,
"message": "Invalid or missing API key",
"error": "Unauthorized"
}
{
"statusCode": 403,
"message": "Access denied to workspace",
"error": "Forbidden"
}

Authorizations

Authorization
string
header
required

Clerk Machine API Key for authentication

Path Parameters

workspace_id
string
required
farm_id
string
required

Query Parameters

page
number

Page number (default: 1)

Required range: x >= 1
Example:

1

pageSize
number

Number of items per page (default: 10, max: 10000)

Required range: 1 <= x <= 10000
Example:

10

miner_id
string

Filter by miner ID

from_time
string<datetime>

Start time filter. Defaults to 7 days ago if not provided.

Example:

"YYYY-MM-DDTHH:MM:SSZ"

to_time
string<datetime>

End time filter. Defaults to now if not provided.

Example:

"YYYY-MM-DDTHH:MM:SSZ"

Response

Successfully retrieved reboot events

success
boolean
required

Indicates if the request was successful

Example:

true

data
object[]
required

Array of items

pagination
object
required

Pagination metadata

error
null
required

Error object (null on success)

Example:

null